/*
 Daybo Logic Standard Inclusions
 Copyright (C) 1998-2006 Daybo Logic.
 All rights reserved.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
 3. Neither the name of the project nor the names of its contributors
    may be used to endorse or promote products derived from this software
    without specific prior written permission.

 THIS SOFTWARE IS PROVIDED BY THE PROJECT AND CONTRIBUTORS ``AS IS'' AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 ARE DISCLAIMED.  IN NO EVENT SHALL THE PROJECT OR CONTRIBUTORS BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.

Borland's compiler has the macros __FILE__ and __LINE__ built into the
compiler (no header to include) these allow the compiler to replace them
with the current filename and current line which is being compiled at that
time, it is useful for debugging.  However, I don't know that that feature
is in every compiler.  Using the macros in other compilers will stop the
file compiling.  Therefore, if one is going to use these macros in a file,
including this header beforehand will ensure that if the macros do not exist,
some dummy ones will be there, so at least the file compiles even if it is
unable to retrieve the correct data using this method.  A similar thing
applies to __DATE__ and __TIME__, the current build dates and times of the
individual files during compilation, these macros may be found in

dlstdinc_datetime.H also by David Duncan Ross Palmer of Daybo Logic,
that mad nutter!
*/
#ifndef INC_DLSTDINC_FILELINE_H
#define INC_DLSTDINC_FILELINE_H
/* $Id: dlstdinc_fileline.h,v 0.2 2006/02/18 08:01:00 ddrp Stab $ */
/*-------------------------------------------------------------------------*/
#ifndef __FILE__
#  define __FILE__ "[No support at compilation]"
#endif

#ifndef __LINE__
#  define __LINE__ (0)
#endif
/*-------------------------------------------------------------------------*/
#endif /*!INC_DLSTDINC_FILELINE_H*/
