/* The standard coordinates system defined by Daybo Logic,
use the header.  You will only need to link this compile this
source and link the object module if you use the components
in the header that are reserved for C++.

Revision : 1 (27/6/1999 17:09 GMT)
Warning: This code has not been used for a very long time.

#include "Stds\DLStdInc.H" /* Daybo Logic standard inclusions header */
#pragma hdrstop

#include "Stds\Coordins.H" /* ours */

#ifndef __NO_NAMESPACES__ /* Namespaces supported? */
using namespace DDRPalmer; /* Access my code */
#endif /*__NO_NAMESPACES__*/
//---------------------------------------------------------------------------
TBaseCoord_XY::TBaseCoord_XY() // Constructor
:	_x(0), _y(0) /* Initialize data */
{
}
//---------------------------------------------------------------------------
TBaseCoord_XYZ::TBaseCoord_XYZ() // Constructor
:	_x(0), _y(0), _z(0) /* Iniialize data */
{
}
//---------------------------------------------------------------------------
TCoord_XY::TCoord_XY(TCoord_XY& otherclass) /* Copy constructor */
{
  SetX(otherclass.GetX());
  SetY(otherclass.GetY());
}
//---------------------------------------------------------------------------
TCoord_XY::TCoord_XY(COORD_XY& s) /* Copy constructor */
{
  SetX(s.X);
  SetY(s.Y);
}
//---------------------------------------------------------------------------
TCoord_XY& TCoord_XY::operator =(TCoord_XY& source)
{
  Set(source.GetX(), source.GetY());
  return *this; /* give back the assigned copy */
}
//---------------------------------------------------------------------------
TCoord_XY::operator ==(TCoord_XY& source)
{
  COORD_XY CoordXY[2]; /* Structure array for both */

  /* get both */
  source.Get(CoordXY[0]);
  Get(CoordXY[1]);

  if (CoordXY[0].X != CoordXY[1].X) /* X not a match? */ return FALSE;
  if (CoordXY[0].Y != CoordXY[1].Y) /* Y not a match? */ return FALSE;
  return TRUE; /* Passed! */
}
//---------------------------------------------------------------------------
void TCoord_XY::SetX(int x)
{
  _x = x; // set member
}
//---------------------------------------------------------------------------
void TCoord_XY::SetY(int y)
{
  _y = y; // set member
}
//---------------------------------------------------------------------------
void TCoord_XY::Set(int x, int y)
{
  /* set both members */
  _x = x;
  _y = y;
}
//---------------------------------------------------------------------------
int TCoord_XY::GetX()
{
  return _x; // give member
}
//---------------------------------------------------------------------------
int TCoord_XY::GetY()
{
  return _y; // give member
}
//---------------------------------------------------------------------------
void TCoord_XY::Get(COORD_XY& target)
{
  /* fill caller's structure */
  target.X = GetX();
  target.Y = GetY();
}
//---------------------------------------------------------------------------
void TCoord_XY::Get(int* yourX, int* yourY)
{
  /* fill caller's ints */
  *yourX = GetX();
  *yourY = GetY();
}
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
TCoord_XYZ::TCoord_XYZ(TCoord_XYZ& other) // copy constructor
{
  Set(other.GetX(), other.GetY(), other.GetZ());
}
//---------------------------------------------------------------------------
TCoord_XYZ::TCoord_XYZ(TCoord_XY& flat2Dcoord) // Copy from flat coordinate
{
  SetX(flat2Dcoord.GetX());
  SetY(flat2Dcoord.GetY());
  /* don't set Z, at this point it is zero - base's constructor
  set it so */
}
//---------------------------------------------------------------------------
TCoord_XYZ::TCoord_XYZ(COORD_XYZ& s) /* copy from structure */
{
  Set(s.X, s.Y, s.Z);
}
//---------------------------------------------------------------------------
TCoord_XYZ::TCoord_XYZ(COORD_XY& s2D) /* copy from 2D structure */
{
  SetX(s2D.X);
  SetY(s2D.Y);
  /* don't set Z, it is certain to be zero */
}
//---------------------------------------------------------------------------
TCoord_XYZ& TCoord_XYZ::operator =(TCoord_XYZ& operand)
{
  Set(operand.GetX(), operand.GetY(), 0 /*Z*/);
  return *this; /* give back the assigned copy */
}
//---------------------------------------------------------------------------
TCoord_XYZ::operator ==(TCoord_XYZ& operand)
{
  COORD_XYZ CoordXYZ[2]; /* Structure array for both copies */

  /* get both */
  operand.Get(CoordXYZ[0]);
  Get(CoordXYZ[1]);

  if (CoordXYZ[0].X != CoordXYZ[1].X) /* X not a match? */ return FALSE;
  if (CoordXYZ[0].Y != CoordXYZ[1].Y) /* Y not a match? */ return FALSE;
  if (CoordXYZ[0].Z != CoordXYZ[1].Z) /* Z not a match? */ return FALSE;
  return TRUE; /* Passed! */
}
//---------------------------------------------------------------------------
void TCoord_XYZ::SetX(int x)
{
  _x = x; // set member
}
//---------------------------------------------------------------------------
void TCoord_XYZ::SetY(int y)
{
  _y = y; // set member
}
//---------------------------------------------------------------------------
void TCoord_XYZ::SetZ(int z)
{
  _z = z; // set member
}
//---------------------------------------------------------------------------
void TCoord_XYZ::Set(int x, int y, int z)
{
  /* all are set in one easy step */
  _x = x;
  _y = y;
  _z = z;
}
//---------------------------------------------------------------------------
int TCoord_XYZ::GetX()
{
  return _x;
}
//---------------------------------------------------------------------------
int TCoord_XYZ::GetY()
{
  return _y;
}
//---------------------------------------------------------------------------
int TCoord_XYZ::GetZ()
{
  return _z;
}
//---------------------------------------------------------------------------
void TCoord_XYZ::Get(COORD_XYZ& target)
{
  target.X = GetX();
  target.Y = GetY();
  target.Z = GetZ();
}
//---------------------------------------------------------------------------
void TCoord_XYZ::Get(int* yourX, int* yourY, int* yourZ)
{
  /* fills caller's ints */
  *yourX = GetX();
  *yourY = GetY();
  *yourZ = GetZ();
}
//---------------------------------------------------------------------------
